Bug 1269748 - nfs-ganesha: showmount fails to display the clients having the mounts
nfs-ganesha: showmount fails to display the clients having the mounts
Status: CLOSED WONTFIX
Product: nfs-ganesha
Classification: Community
Component: MainNFSD (Show other bugs)
devel
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Frank Filz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-08 03:04 EDT by Saurabh
Modified: 2016-01-19 01:15 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-09 23:58:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saurabh 2015-10-08 03:04:03 EDT
Description of problem:
Usually with showmount command one list the client(s) that are having the mount of export(s) from a particular server

But with nfs-ganesha it is not working,
# showmount 10.70.46.59
Hosts on 10.70.46.59:

Version-Release number of selected component (if applicable):
nfs-ganesha-2.2.0-9.el7rhgs.x86_64
glusterfs-3.7.4-2.el7.x86_64

How reproducible:
always

Actual results:
as mentioned above

Expected results:
should display the list of clients having the mount.

Additional info:
Comment 1 Jiffin 2015-10-08 08:52:09 EDT
Right now ganesha does not DUMP call (to fetch the mount list).
Comment 2 Frank Filz 2015-10-09 19:20:08 EDT
Ganesha does not maintain this information and there is no intention of maintaining the information. It was never correct anyway. If the server restarts, the information is lost, yet the clients are still mounted. Similarly, clients can unmount without ever notifying the server.

Note You need to log in before you can comment on or make changes to this bug.